function enemy_init()
	enemies = {}
	enemy_dt = 0
	enemy_rate = 2
	enemy_width = 32
	enemy_height = 32
end

function enemy_update(dt)
	enemy_dt = enemy_dt + dt
	
	if enemy_dt > enemy_rate then
		enemy_dt = enemy_dt - enemy_rate
		enemy_rate = enemy_rate - 0.01 * enemy_rate
		local enemy = {}
		enemy.x = math.random((8), (love.graphics.getWidth()-(8+enemy_width)))
		enemy.y = -64
		table.insert(enemies, enemy)
	end

	for ei, ev in ipairs(enemies) do
		ev.y = ev.y + 70*dt
		if ev.y > love.graphics.getHeight() then
			table.remove(enemies, ei)
		end
	end
	
	for ei, ev in ipairs(enemies) do
		--if check_dist(bv.x+4, bv.y+4, ev.x+16, ev.y+16) < (16) then
		if check_collision(ev.x, ev.y, 32, 32, player.x, player.y, player.width, player.height) then
			state = "mainmenu"
			mainmenu_init()
		end
	end
end

function enemy_draw()
	for _, v in ipairs(enemies) do
		love.graphics.rectangle("fill", v.x, v.y, enemy_width, enemy_height)
	end
end