require "menuPlayer"
require "menuBullet"

function mainmenu_init(px, py)
	largeMenuFont = love.graphics.newFont(48)
	smallMenuFont = love.graphics.newFont(24)
	
	menuPlayer_init(px, py)
	menuBullet_init()
end

function mainmenu_update(dt)
	menuPlayer_update(dt)
	menuBullet_update(dt)
end

function mainmenu_draw()
	menuPlayer_draw()
	menuBullet_draw()

	love.graphics.setFont(largeMenuFont)
	love.graphics.print("Lovaders", 90, 50)
	
	love.graphics.setFont(smallMenuFont)
	love.graphics.print("Shoot a button", 105, 125)
	
	love.graphics.rectangle("line", 85, 175, 64, 64)
	love.graphics.print("play", 93, 190)
	
	love.graphics.rectangle("line", 165, 175, 64, 64)
	love.graphics.print("help", 173, 190)
	
	love.graphics.rectangle("line", 245, 175, 64, 64)
	love.graphics.print("quit", 253, 190)
end

function mainmenu_keypressed(key)
	if key == " " then
		local menubullet = {}
		menubullet.x = menuplayer.x+20
		menubullet.y = menuplayer.y-10
		table.insert(menubullets, menubullet)
	elseif key == "escape" then
		love.event.push("quit")
	end
end