function menuPlayer_init(px, py)
	menuplayer = {
		x = px or love.graphics.getWidth()/2 - 24,
		y = py or love.graphics.getHeight()-48,
		width = 48,
		height = 16,
		speed = 100
	}
end

function menuPlayer_update(dt)
	if love.keyboard.isDown("left") then
		menuplayer.x = menuplayer.x - menuplayer.speed * dt
	elseif love.keyboard.isDown("right") then
		menuplayer.x = menuplayer.x + menuplayer.speed * dt
	end
	
	if menuplayer.x < 0 then
		menuplayer.x = 0
	elseif menuplayer.x > love.graphics.getWidth()-menuplayer.width then
		menuplayer.x = love.graphics.getWidth()-menuplayer.width
	end
end

function menuPlayer_draw()
	love.graphics.rectangle("fill", menuplayer.x, menuplayer.y, menuplayer.width, menuplayer.height)
	love.graphics.rectangle("fill", menuplayer.x+19, menuplayer.y-10, 10, 22)
end