function bullet_init()
	bullets = {}
	bullet_size = 8
end

function bullet_update(dt)
	for bi, bv in ipairs(bullets) do
		bv.y = bv.y - 100*dt
		if bv.y < -bullet_size then
			table.remove(bullets, bi)
		end
		for ei, ev in ipairs(enemies) do
			--if check_dist(bv.x+4, bv.y+4, ev.x+16, ev.y+16) < (16) then
			if check_collision(bv.x, bv.y, 8, 8, ev.x, ev.y, 32, 32) then
				table.remove(enemies, ei)
				table.remove(bullets, bi)
				enemies_killed = enemies_killed + 1
			end
		end
	end
end

function bullet_draw()
	for _, v in ipairs(bullets) do
		love.graphics.rectangle("fill", v.x, v.y, bullet_size, bullet_size)
	end
end