function player_init()
	player = {
		x = menuplayer.x,
		y = love.graphics.getHeight()-48,
		width = 48,
		height = 16,
		speed = 100
	}
end

function player_update(dt)
	if love.keyboard.isDown("left") then
		player.x = player.x - player.speed * dt
	elseif love.keyboard.isDown("right") then
		player.x = player.x + player.speed * dt
	end
	
	if player.x < 0 then
		player.x = 0
	elseif player.x > love.graphics.getWidth()-player.width then
		player.x = love.graphics.getWidth()-player.width
	end
end

function player_draw()
	love.graphics.rectangle("fill", player.x, player.y, player.width, player.height)
	love.graphics.rectangle("fill", player.x+19, player.y-10, 10, 22)
end